Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class GlobalActionContext

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.GlobalActionContext

All Implemented Interfaces:
  IGlobalActionContext

    public final class GlobalActionContext

extends java.lang.Object
implements IGlobalActionContext

Implementation class for the interface `IGlobalActionContext`

Constructor Summary
`GlobalActionContext(IWorkbenchPart activePart, ISelection selection, java.lang.String label, java.lang.String actionId)` Constructor for GlobalActionContext.

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId`
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart`
`java.lang.String` `getLabel()` Return the label for the action
`ISelection` `getSelection()` Return the selection which contains items of type defined in the `IGlobalActionHandlerContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalActionContext

    public GlobalActionContext(IWorkbenchPart activePart,
                               ISelection selection,
                               java.lang.String label,
                               java.lang.String actionId)

  Constructor for GlobalActionContext.

  Parameters:
    `activePart` - attribute for active part
    `selection` - attribute for selection
    `label` - attribute for label
    `actionId` - attribute for action id

Method Detail

### getLabel

    public java.lang.String getLabel()

  Description copied from interface: `IGlobalActionContext`
  Return the label for the action

  Specified by:
    `getLabel` in interface `IGlobalActionContext`
  Returns:
    String

### getSelection

    public ISelection getSelection()

  Description copied from interface: `IGlobalActionContext`
  Return the selection which contains items of type defined in the `IGlobalActionHandlerContext`

  Specified by:
    `getSelection` in interface `IGlobalActionContext`
  Returns:
    ISelection

### getActionId

    public java.lang.String getActionId()

  Description copied from interface: `IGlobalActionContext`
  Returns the `GlobalActionId`

  Specified by:
    `getActionId` in interface `IGlobalActionContext`
  Returns:
    Returns an `String`

### getActivePart

    public IWorkbenchPart getActivePart()

  Description copied from interface: `IGlobalActionContext`
  Returns the active `IWorkbenchPart`

  Specified by:
    `getActivePart` in interface `IGlobalActionContext`
  Returns:
    Returns the active `IWorkbenchPart`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.